org.apache.cassandra.index

## Interface Index.IndexBuildingSupport

- All Known Implementing Classes:
    Index.CollatedViewIndexBuildingSupport
  Enclosing interface:
    Index

      public static interface Index.IndexBuildingSupport

  Provider of `SecondaryIndexBuilder` instances. See `getBuildTaskSupport` and `SecondaryIndexManager.buildIndexesBlocking` for more detail.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecondaryIndexBuilder` | `getIndexBuildTask(ColumnFamilyStore cfs, java.util.Set<Index> indexes, java.util.Collection<SSTableReader> sstables)`

- - ### Method Detail

    - #### getIndexBuildTask

          SecondaryIndexBuilder getIndexBuildTask(ColumnFamilyStore cfs,
                                                  java.util.Set<Index> indexes,
                                                  java.util.Collection<SSTableReader> sstables)

Copyright © 2018 The Apache Software Foundation